API
Facebook API
Around 2 billion daily users share posts, photos, videos, groups, events, and Marketplace listings on Facebook, making it important for community reach, customer service, local discovery, and social commerce.
API Reference Version: 1.0.0 29 Endpoints Authentication
Base URL
https://api.pressmonitor.ca Authentication
All requests use Bearer token authentication. Add the Authorization header to every call.
Authorization: Bearer YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/events-search Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| query | string | query | Yes | Search query |
| end_cursor | string | query | No |
Code Examples
curl -X GET "https://api.pressmonitor.ca/events-search?query=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/get-post Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| post_id | string | query | Yes |
Code Examples
curl -X GET "https://api.pressmonitor.ca/get-post?post_id=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/group-info Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| id | string | query | Yes |
Code Examples
curl -X GET "https://api.pressmonitor.ca/group-info?id=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/marketplace-product Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| product_id | string | query | Yes |
Code Examples
curl -X GET "https://api.pressmonitor.ca/marketplace-product?product_id=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/marketplace-profile Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| user_id | string | query | Yes | User ID |
| end_cursor | string | query | No |
Code Examples
curl -X GET "https://api.pressmonitor.ca/marketplace-profile?user_id=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/marketplace-search Marketplace Search
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| query | string | query | Yes | Search query |
| end_cursor | string | query | No |
Code Examples
curl -X GET "https://api.pressmonitor.ca/marketplace-search?query=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/page-albums Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| id | string | query | Yes | |
| end_cursor | string | query | No |
Code Examples
curl -X GET "https://api.pressmonitor.ca/page-albums?id=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/page-details Page Details
Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| id | string | query | Yes |
Code Examples
curl -X GET "https://api.pressmonitor.ca/page-details?id=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/page-feed Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| id | string | query | Yes | |
| end_cursor | string | query | No |
Code Examples
curl -X GET "https://api.pressmonitor.ca/page-feed?id=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/pages-search Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| query | string | query | Yes | Search query |
| end_cursor | string | query | No |
Code Examples
curl -X GET "https://api.pressmonitor.ca/pages-search?query=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/pages-search-post Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| query | string | query | Yes | Search query |
| end_cursor | string | query | No |
Code Examples
curl -X GET "https://api.pressmonitor.ca/pages-search-post?query=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/post-comments Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| post_id | string | query | Yes | |
| end_cursor | string | query | No | |
| order | string | query | No |
Code Examples
curl -X GET "https://api.pressmonitor.ca/post-comments?post_id=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/post-reactions Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| post_id | string | query | Yes | |
| end_cursor | string | query | No |
Code Examples
curl -X GET "https://api.pressmonitor.ca/post-reactions?post_id=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/post-reactions-count Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| post_id | string | query | Yes |
Code Examples
curl -X GET "https://api.pressmonitor.ca/post-reactions-count?post_id=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/posts-search Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| query | string | query | Yes | Search query |
| date_posted | string | query | No | |
| end_cursor | string | query | No | |
| end_date | string | query | No | |
| recent_posts | string | query | No | |
| start_date | string | query | No |
Code Examples
curl -X GET "https://api.pressmonitor.ca/posts-search?query=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/posts-search-post Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| query | string | query | Yes | Search query |
| end_cursor | string | query | No |
Code Examples
curl -X GET "https://api.pressmonitor.ca/posts-search-post?query=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/profile-about Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| user_id | string | query | Yes | User ID |
Code Examples
curl -X GET "https://api.pressmonitor.ca/profile-about?user_id=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/profile-albums Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| user_id | string | query | Yes | User ID |
| end_cursor | string | query | No |
Code Examples
curl -X GET "https://api.pressmonitor.ca/profile-albums?user_id=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/profile-feed Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| user_id | string | query | Yes | User ID |
| end_cursor | string | query | No |
Code Examples
curl -X GET "https://api.pressmonitor.ca/profile-feed?user_id=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/profile-friends Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| user_id | string | query | Yes | User ID |
| end_cursor | string | query | No |
Code Examples
curl -X GET "https://api.pressmonitor.ca/profile-friends?user_id=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/profile-likes Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| user_id | string | query | Yes | User ID |
| end_cursor | string | query | No |
Code Examples
curl -X GET "https://api.pressmonitor.ca/profile-likes?user_id=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/profile-page Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| user_id | string | query | Yes | User ID |
Code Examples
curl -X GET "https://api.pressmonitor.ca/profile-page?user_id=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/profile-photos Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| user_id | string | query | Yes | User ID |
| end_cursor | string | query | No |
Code Examples
curl -X GET "https://api.pressmonitor.ca/profile-photos?user_id=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/profile-search Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| query | string | query | Yes | Search query |
| end_cursor | string | query | No |
Code Examples
curl -X GET "https://api.pressmonitor.ca/profile-search?query=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/profile-search-post Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| query | string | query | Yes | Search query |
| end_cursor | string | query | No |
Code Examples
curl -X GET "https://api.pressmonitor.ca/profile-search-post?query=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/profile-videos Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| user_id | string | query | Yes | User ID |
| end_cursor | string | query | No |
Code Examples
curl -X GET "https://api.pressmonitor.ca/profile-videos?user_id=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success
GET
/video-id-url Parameters
| Name | Type | Location | Required | Description |
|---|---|---|---|---|
| url | string | query | Yes |
Code Examples
curl -X GET "https://api.pressmonitor.ca/video-id-url?url=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID" Responses
200 Success